#! /bin/sh


##############################################################################
#
# kal's HTML variables and their default values
# 
# KAL_BODYBG     #666666
# KAL_BODFG      #000000
# KAL_YEARBG     #0099ff
# KAL_MONTHBG    #ffaa00
# KAL_DAYBG      #cccccc
# KAL_SUNDAYFG   #bb0000
# KAL_LINKBG     #005599
# KAL_LINKFG     #ffff00
# KAL_VLINKFG    #00bbcc
# KAL_ALINKFG    #ff6666
# KAL_TBLBORDER  4
#
##############################################################################
#
# Set some new colors
#
export KAL_BODYBG="#112211"
export KAL_BODYFG="#003000"
export KAL_YEARBG="#aaaa00"
export KAL_MONTHBG="#aaaa00"
export KAL_DAYBG="#cccccc"
export KAL_SUNDAYFG="#990000"
export KAL_LINKBG="#cccc77"
export KAL_LINKFG="#770000"
export KAL_VLINKFG="#007777"

#
# Set border width
#
export KAL_TBLBORDER=3

##############################################################################


if [ $# = 0 ]; then
    echo "Usage: $0 location [datefile]"
    exit 1
fi

if [ $# = 1 ]; then
    DATEFILE=`basename $1`
else
    DATEFILE=$2
fi

KAL_LINK="`egrep '<[Aa][ ]+[Nn][Aa][Mm][Ee]=["]*' $DATEFILE | 
	    awk '{sub(/<[Aa][ ]+[Nn][Aa][Mm][Ee]=["]*/,""); sub(/["]*>.*/,""); 
	    printf("%s ",$0)}'`"

ARGS="`egrep '<!--[ ]*kal' $DATEFILE |
	awk '{sub(/<!--[ ]*kal[ ]*/,""); sub(/[ ]*-->.*/,""); 
	printf("%s ",$0)}'`"


export KAL_LOCATION=$1
export KAL_LINK

for i in $ARGS
do
    kal -p $i
done

exit 0
