#!/bin/sh

##############################################################################
#
# kal's HTML variables and their default values
# 
# KAL_BODYBG     #666666
# KAL_BODFG      #000000
# KAL_YEARBG     #0099ff
# KAL_MONTHBG    #ffaa00
# KAL_DAYBG      #cccccc
# KAL_SUNDAYFG   #bb0000
# KAL_LINKBG     #005599
# KAL_LINKFG     #ffff00
# KAL_VLINKFG    #00bbcc
# KAL_ALINKFG    #ff6666
# KAL_TBLBORDER  4
#
##############################################################################
#
# Set some new colors
#
export KAL_BODYBG="#112211"
export KAL_BODYFG="#003000"
export KAL_YEARBG="#aaaa00"
export KAL_MONTHBG="#aaaa00"
export KAL_DAYBG="#cccccc"
export KAL_SUNDAYFG="#990000"
export KAL_LINKBG="#cccc77"
export KAL_LINKFG="#770000"
export KAL_VLINKFG="#007777"

#
# Set border width
#
export KAL_TBLBORDER=3

##############################################################################
# 
# Adapt the following settings to your local installation
#
# The URL of this script:
LOCATION="http://localhost/kal-sample.cgi"

# The URL of the date file:
export KAL_LOCATION="http://localhost/dates.html"

# The pathname of the date file:
DATEFILE=./dates.html

# Extend the PATH variable, if necessary. 
#PATH=$PATH:.:/usr/local/bin
 
# The required programs:
KAL=/usr/local/bin/kal
FILTER=/usr/local/bin/kal-dutch.awk 
#FILTER=cat

##############################################################################

echo Content-type: text/html
echo

if [ -x $KAL -a -x $FILTER -a -r $DATEFILE ]; then
    if [ $# = 0 ]; then
	cat << EOM

<TITLE>kal-sample.cgi</TITLE>
<H1>kal-1.3 with clickable examples</H1>

Click on a link to get a HTML calendar:<p>
<a href="$LOCATION?12%2F1999"><code>December 1999</code></a><p>
<a href="$LOCATION?2000"><code>2000</code></a><p> 
<a href="$LOCATION?1%2F2001"><code>January 2001</code></a><p> 

EOM
    else 
	echo \<PRE\>
	KAL_LINK="`egrep '<[Aa][ ]+[Nn][Aa][Mm][Ee]=["]*' $DATEFILE |
	    awk '{sub(/<[Aa][ ]+[Nn][Aa][Mm][Ee]=["]*/,""); sub(/["]*>.*/,"");
            printf("%s ",$0)}'`"

	export KAL_LINK
	$KAL -o $1 | $FILTER
    fi
else
    if [ ! -x $KAL ]; then
	echo "Can't execute $KAL"
    fi
    if [ ! -x $FILTER ]; then
	echo "Can't execute $FILTER"
    fi
    if [ ! -r $DATEFILE ]; then
	echo "Can't access $DATEFILE"
    fi
fi
